Introduction

Welcome and thank you for using OverDisk!

OverDisk is a disk space overview utility. It helps you get a general idea about how much disk space is being used and identify the folders using it. This is useful when running out of space, or just wishing to clean up a disk from space-eating junk.

Features

OverDisk combines ease of use with powerful features. Some of its highlights include, but are not limited to:

  • Multi-level pie chart, showing storage distribution of many directory levels.
  • Files and directories are displayed differently and are easily distinguishable.
  • Ability to export a directory structure (with files), for later access when the storage medium is not available.
  • Many coloring modes.
  • Smooth multithreaded execution.
  • Full support forFAT, FAT32, CDFS, UDF, NTFS, and all file systems accessible by Windows.


Installation and Removal

Installation

To install OverDisk simply open the downloaded zip file and double click on the executable it contains (you don't have to extract it if you're using an archive manager like WinZip or Windows' compressed folders shell extension). Follow the displayed installation instructions.

IMPORTANT: When installing (or uninstalling) on a secure Windows version (NT, 2000, XP), please make sure you have administrator rights. Installation may fail otherwise.

Minimum System Requirements

Before installing, please make sure your system configuration meets or exceeds the following requirements:

  • Windows 95 OSR2
  • 256-color display (16K-color for transparency effects)
  • commctrl.dll v4.71 for advanced common controls (comes with IE5+; also available separately from Microsoft)

Uninstalling

To make sure the program cleans up everything installed, please use the OverDisk entry in Add/Remove Programs, or select the Uninstall icon from the created start menu group. On Windows NT, 2000, or XP, make sure you have administrator rights.


FAQ

This section contains frequently asked questions by the users of OverDisk. It is currently empty.


Interface

The program's main window is divided in two panes: a tree and a pie chart. The tree contains the directory hierarchy that's currently loaded. The pie chart displays a graphical distribution of the disk space used by the currently selected directory. You can browse though the directories by either selecting them from the tree or clicking on them on the pie. Whenever you select a directory, a new pie chart will be displayed having that directory in its center.

The divider bar between the panes can be used to resize them. By moving the divider all the way to the left or right, the corresponding pane will effectively be hidden (even when the program window is maximized). To make it visible again, drag the divider from the edge of the window.


Tree

The tree contains the folders hierarchy. It can be used to jump to any folder.


Pie Chart

The center of the pie chart represents the currently selected directory. At the next level (the first ring), OverDisk displays the directories and files of the central directory. The size of each item is proportional to the actual disk space used by that item. This way you can quickly spot large files and directories. Notice that files are displayed a bit differently from directories, in order to be more distinguishable: their inner edge is not directly adjacent to the previous level so they seem to be "floating" above their parent directory.

You can quickly navigate through the directories by left-clicking on them. Clicking on the central directory, moves you to its parent. If a directory is too small to locate or not displayed at all, use the tree to switch to it.


Toolbar

DiskStruct's toolbar contains a set of buttons, providing quick access to some of the most frequently used menu commands. From left to right they are:

Any Folder, Import, Export, Back, Fore, Parent, Refresh, Refresh All, Open, Explore, Explore from Here

For detailed information of these commands, refer to the menu section.

The left edge of the toolbar is occupied by a drop-down list of all the system drives. Selecting from this list will immediately start scanning the specified drive.


Status Bar

At the bottom of the DiskStruct window lies a twin status bar. The top row displays information about the currently selected folder (i.e. the folder highlighted on the tree and displayed at the center of the chart), while the bottom one refers to the folder located under the mouse pointer, on the chart.

Both status bars contain several fields, listing (from left to right) the following information about the folder:

  • Size
  • Number of files
  • Number of folders
  • Path

Size, files, and folders are displayed as two numbers separated by a forward slash. The first number represents the local quantity, i.e. the size of files, number of files, and folders located in the particular folder, while the second number represents the deep quantity, i.e. that of the specific folder and all its subfolders.

The path displayed on the top row is the absolute path from the root of the loaded tree to the folder, while the path on the bottom row is relative to the one above. For example, if the chart displays the C:\Windows folder and the mouse points at C:\Windows\System\Restore, the bottom row will display "System\Restore\". Note that, when the mouse is over a file in the chart, only the file's size and name are displayed.


Menu Commands

Here's an explanation of the menu commands. Note that quick info about a particular menu item is also displayed on the status bar, while the item is highlighted.

Root
Contains general commands relative to loading and saving information

(Drive list)
Contains a list of all the system drives. This is the same as the drop-down list on the toolbar.

Any Folder...
Opens a dialog that lets you select a specific folder to start scanning from. This is useful when you are interested only in a particular location and don't want to scan an entire drive.

Import...
Lets you select and load a snapshot file that was previously saved.

Export...
Lets you save the current information in a snapshot file. This file can loaded later so that you can browse the folder hierarchy of another computer, or removable media (diskettes, CD-ROMs, etc.)

(MRU list)
List up to 4 of the most recently selected folders from the "Any Folder" command. Root folders selected via the drive lists are not added here. This list is initially empty.

Exit
Quits the program.

Commands
Contains the main browsing functions

Back
Moves you back to the history of previously selected folders

Fore
Moves you forward though the history

Parent
Moves to the parent folder

Rescan
Causes a rescan of the current folder

Rescan All
Causes a rescan of the whole tree

Open Folder
Opens the current folder in a system window.

Explore Folder
Opens the current folder in a system window with a tree pane. The tree is rooted at the Desktop.

Explore from Here
Same as the above, except that the tree is rooted on the current folder. This is useful when you are not interested in the parent folders.

Options
Contains special functions. For details see the corresponding sections.

Statistics...
Opens the Statistics dialog.

File Sizes Histogram...
Opens the File Sizes Histogram dialog.

Settings...
Opens the Settings dialog.

Help
Contains help and information about the program.


Statistics Dialog

The Statistics dialog allows you to collect useful information from the data currently loaded. You can select a query from a drop-down list, a scope to limit the portion of the tree examined, and a maximum number of items to return.

Here are the available queries and the results they return:

  • Largest files
    Returns the largest files. Results consist of the file size and its name.
  • Longest path names
    Returns the paths with the longest names. Results consist of the length (in characters) and the path name.
  • Deepest path names
    Returns the paths with the most level of nesting. For example, C:\Windows\System is 2 levels deep. Results consist of the level and the path name.
  • Directories with most file entries (local)
    Returns the directories containing the most files. Results consist of the number of files and the path name.
  • Directories with most file entries (deep)
    Same as above, but also counts the files of all subfolders.
  • Directories with most file bytes (local)
    Returns the directories containing the greatest total file size. Results consist of the files' size and the path name.
  • Directories with most file bytes (deep)
    Same as above, but also counts the files of all subfolders.
  • Directories with greatest wasted space (local)
    Returns the folder with the greatest amount of wasted space, due to allocation in cluster units. This is mostly noticeable in folders with a large number of small files (like cookies and shortcuts). Results consist of the wasted space in bytes and the folder name.

The scope can be either the root of tree, or a specific folder. Initially, the folder is the currently selected one, but you can enter any valid path.

The "Recurse subfolders" option controls whether the search will include the subfolders of the specified folder. If it is unchecked, only the specified folder will be examined. Note that queries marked as "(deep)" will usually produce more usable results when this option is unchecked.

By clicking on the "Find" button, the dialog will be expanded to present the results of the query in a list.


Histogram Dialog

File Sizes Histogram Dialog

This dialog will display a logarithmic bar chart for the size distribution of the files in the currently loaded directory structure. Each bar represents a range of file sizes and its height is proportional to the number of files with a size in that range. The first bar always represents files of zero bytes only. The dialog contains a menu with two options to increase/decrease the detail level of the chart.


Settings Dialog

From this dialog you can configure several aspects of the program.

Pie Chart
Contains several settings that affect the displaying of the pie chart.

Central disk size %
Defines the radius of the central disk (the current directory) as a percentage of the pie's radius. Values can range from 10 to 90. Default is 33%.

Visibility threshold
In order to reduce the amount of information displayed, OverDisk will only display directories and files if their projected width is at least the number of pixels specified in this field. A setting of 0 will force OverDisk to display all items, although this will affect the speed of the program in slower machines. Therefore, the default value is 3. Valid range is 0 to 100.

Show guide lines
When this option is checked, concentric circles will be drawn behind the pie, to help visualize the levels of sub-directories. This is just a cosmetic feature.

Pie sort
Defines the ordering of directories and files on the pie chart. You can select one from these options:

  • Unordered
    Displays the items in the order they are stored on the medium.
  • By Name
    Sorts the items by their name
  • By Size
    Sorts the items by their size (deep size for folders)

Group folders
This option makes the sub-directories of every directory to be drawn always before the files. Otherwise, directories and files are displayed interleaved. This option is indepedent of the previous sort options.

Fly-over names
As you move the mouse over the pie chart, OverDisk shows the name of the directory or file under the cursor. Here you can select the way the names are drawn.

  • Off
    Does not display the names.
  • Solid
    Displays the names of directories and files in white and black, respectively.
  • Transparent
    Same as above, but blends the name with the background, producing a transparency effect. You can select the level of transparency, which ranges from 1 (totally transparent) to 99 (almost opaque). Note that this feature does not work on 8-bit display modes, and will be temporarily turned off in such case.

Coloring Method
Lets you specify the way the pie is colored. Wherever custom colors need to be set, there exist buttons showing the currently set color. Clicking on them will bring up the system's color selection dialog.

  • Fixed color
    All items are drawn with a single color.
  • Size-encoded
    The item size is mapped to a range of colors. This makes a good visual effect when items are sorted by size, and it helps visualize the relative sizes if size sorting is not in effect.
  • Rainbow wash
    The items are drawn using the colors of a rainbow. Items away from the center fade to gray. This is nice to look at.
  • Name-encoded
    In this mode, the color of each item will be determined from its name (using a CRC of the name). After using this method for a while, you'll be able to tell some of the directories/files from their color.

Misc
Contains miscellaneous options.

Dialog look
When selected, the tree and pie chart appear without a border and their background is painted with the system's 3D face color (making the application window look like a dialog). If this is not selected, the windows are drawn sunken, like Explorer's folder views.

Show startup splash screen
When selected displays an informatory screen briefly upon program start.

Large toolbar buttons
This option doubles the size of the toolbar button to make them more legible on larger resolutions.


Known Bugs

  • There's currently one very annoying bug in the run-time library of the development package used to build OverDisk. This bug will sometimes cause OverDisk to crash after reading the contents of a big directory structure. This may or may not happen, depending on the current state of the computer's virtual memory. It will not harm your computer in any way, though. This will be fixed on the next final release.


Version History

Here's a brief list of changes made through the various versions of OverDisk:

2005.05.11 -- v0.11 beta

  • Resizable statistics dialog; removed expand-on-demand.
  • Full-row select for various lists (statistics & sys drive dlg...).
  • Persistent size/pos of resizable dlgs: stats, histogram, sys drives.
  • Scanning dlg: reduce update freq (from 0.1 to 1sec) & removed potential small delay on close.
  • Better folder browser for "Any Folder" (where supported).
  • The System Drives Info dialog now reads information asynchronously. Also the order that the drives are examined is based on their type to avoid waiting for slow drive types. The order is: ram-disks, fixed drives, optical, removable, network.
  • Extended option "Auto scan drive on startup" to accept a directory instead.
  • Doesn't autoscan the first hard drive by default on the first run.
  • XP theme compatibility.

2002.??.?? -- v0.10 beta

  • First public release.


Contact

OverDisk was written by Elias Fotinis.

For any bugs, comments, or suggestions, please email me at efotinis@pat.forthnet.gr.

You can also check out my website for updates and other free stuff at users.forthnet.gr/pat/efotinis/
(OverDisk page: users.forthnet.gr/pat/efotinis/programs/overdisk.html).


Legal Notes

Legal

OverDisk is copyrighted freeware. Using this program requires no payment. Distribution of the unmodified package is permitted, provided that the copyright is acknowledged and that the recipients are not charged for using it.

Disclaimer

This program is provided as is. The author will not be held liable for any damages caused by the (mis)use of this software.